## indi-shelyak 1.0%2B20220129131520

=== debian/changelog ===
indi-shelyak (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:56:58 +0000

indi-shelyak (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 22:30:07 +0100

indi-shelyak (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 18:30:07 +0100

## indi-shelyak 1.0%2B20221222171819

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(indi_shelyak CXX C)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(INDI REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})

set (SHELYAK_ESHEL_VERSION_MAJOR 1)
set (SHELYAK_ESHEL_VERSION_MINOR 0)

set (SHELYAK_SPOX_VERSION_MAJOR 1)
set (SHELYAK_SPOX_VERSION_MINOR 0)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_shelyak.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_shelyak.xml )

set(shelyak_eshel_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/indi_shelyakeshel_spectrograph.cpp
)

add_executable(indi_shelyakeshel_spectrograph ${shelyak_eshel_SRCS})

target_link_libraries(indi_shelyakeshel_spectrograph ${INDI_DRIVER_LIBRARIES})

install(TARGETS indi_shelyakeshel_spectrograph RUNTIME DESTINATION bin)

set(shelyak_spox_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/indi_shelyakspox_spectrograph.cpp
)

add_executable(indi_shelyakspox_spectrograph ${shelyak_spox_SRCS})

target_link_libraries(indi_shelyakspox_spectrograph ${INDI_DRIVER_LIBRARIES})

install(TARGETS indi_shelyakspox_spectrograph RUNTIME DESTINATION bin)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_shelyak.xml DESTINATION ${INDI_DATA_DIR})

## indi-shelyak 1.0+20220611131614

=== debian/changelog ===
indi-shelyak (1.0+20220611131614-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:16:24 +0000

## indi-shelyak 1.0+20221222171819

=== debian/changelog ===
indi-shelyak (1.0+20221222171819-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113031)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:36:14 +0200

indi-shelyak (1.0+20221222171819-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 17:19:33 +0000

=== debian/control ===
Source: indi-shelyak
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-shelyak
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-shelyak.git

Package: indi-shelyak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Shelyak and Alpy Spectrograph
 This package contains the INDI driver for Shelyak and Alpy Spectrographs.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
